Bug #944

perl-shell required by mplayer-wrapper, but not installed.

Added by doomedtx over 7 years ago. Updated over 7 years ago.

Status:Closed Start date:11/25/2013
Priority:Normal Due date:
Assignee:brfransen % Done:

100%

Category:Packages: Core Spent time: -
Target version:8.1

Description

On a fresh install of R8, I tracked down a problem with Apple trailers to the mplayer-wrapper script. The error message was:

Can't locate Shell.pm in @INC (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/LH/bin/mplayer-wrapper.pl line 3.
BEGIN failed--compilation aborted at /usr/LH/bin/mplayer-wrapper.pl line 3.

There is a Shell.pm installed in /usr/lib/perl5/CPAN, but that is not from the perl-shell module. Installing perl-shell with pacman fixed the issue for me.

Associated revisions

Revision ca24846a
Added by brfransen over 7 years ago

perl: update to 5.18.1. refs #944

Revision 5f089a29
Added by brfransen over 7 years ago

mplayer-wrapper: change location of Shell. closes #944

Revision d058625e
Added by brfransen over 7 years ago

Revert "perl: update to 5.18.1. refs #944"

This reverts commit ca24846abef286bd1eabe2be7e252a2b59878ab7.

History

Updated by brfransen over 7 years ago

  • Assignee changed from jams to brfransen
  • Target version set to 8.1
  • Category changed from Installation/Upgrade to Packages: Core

Updated by brfransen over 7 years ago

  • Status changed from New to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF